# Sphinx-Documentation

# Installation

Install Sphinx with:

    pip install -U sphinx

Create a directory over the lever of the code.

Your folder structure should look like this:

   Project:
      - Documentation
      - Code

Then add Doc-Strings to your code. Those Doc-Strings should look like this:

    """
    some explenation

    :param a [description]
    ...
    :return [description]
    """

Then navigate into the documentation folder and  run:

    sphinx-quickstart

Follow the questions like this:

	Enter the root path for documentation.
	> Root path for the documentation [.]: 
	> Separate source and build directories (y/n) [n]: 
	> Project name: Sphinx-Documentation
	> Author name(s): Marc Feger
	> Project version []: 1.0
	> Project release [1.0]: 1.0
	> Project language [en]: 
	> Source file suffix [.rst]: 
	> Name of your master document (without suffix) [index]: 
	> autodoc: automatically insert docstrings from modules (y/n) [n]: y
	> doctest: automatically test code snippets in doctest blocks (y/n) [n]: 
	> intersphinx: link between Sphinx documentation of different projects (y/n) [n]: y
	> todo: write "todo" entries that can be shown or hidden on build (y/n) [n]: 
	> coverage: checks for documentation coverage (y/n) [n]: 
	> imgmath: include math, rendered as PNG or SVG images (y/n) [n]: 
	> mathjax: include math, rendered in the browser by MathJax (y/n) [n]: 
	> ifconfig: conditional inclusion of content based on config values (y/n) [n]: 
	> viewcode: include links to the source code of documented Python objects (y/n) [n]: y
	> githubpages: create .nojekyll file to publish the document on GitHub pages (y/n) [n]: y
	> Create Makefile? (y/n) [y]: y
	> Create Windows command file? (y/n) [y]: y


